Bug #14017

Widgets are not compatible with Doctrine persistance

Added by Peter Beernink almost 11 years ago. Updated almost 11 years ago.

Status:
Resolved
Priority:
Must have
Category:
Widgets
Start date:
2011-03-24
Due date:
% Done:

100%

Estimated time:
Has patch:

Description

Both the pagination and autocomplete are currently not compatible with the Doctrine persistance layer.

For example, when assigning a result from a repository to the objects attribute of the pagination widget, the following exception is thrown:

PaginateViewHelper_Original::render() must be an instance of F3\FLOW3\Persistence\QueryResult, instance of F3\FLOW3\Persistence\Doctrine\QueryResult given

I've only tested this with the pagination widget, but as both have the same annotation for $objects, I suspect that also the autocomplete is suffering from this issue.

#1

Updated by Karsten Dambekalns almost 11 years ago

  • Status changed from New to Accepted
  • Assignee set to Karsten Dambekalns
#2

Updated by Karsten Dambekalns almost 11 years ago

  • Status changed from Accepted to Under Review
#3

Updated by Karsten Dambekalns almost 11 years ago

  • Status changed from Under Review to Resolved
  • % Done changed from 0 to 100

Also available in: Atom PDF